<ion-header>
    <ion-toolbar>
      <ion-buttons slot="start">
        <ion-menu-button></ion-menu-button>
      </ion-buttons>
      <ion-title>SAFE</ion-title>
    </ion-toolbar>
  </ion-header>

<ion-content>
    <div  class="ion-padding">  <p><font size="7"><b>Usuario</b></font></p> </div>
    <div *ngIf="registrado==false" class="ion-padding">
        <p><font size="3"><b>Registrese llenando por completo el formulario</b></font></p>
        <ion-item>
          <ion-label position="floating">Nombre</ion-label>
          <ion-input  [(ngModel)]="name"></ion-input>
        </ion-item>
        <ion-item>
            <ion-label position="floating">Apellido</ion-label>
            <ion-input  [(ngModel)]="surname"></ion-input>
        </ion-item>
        <ion-item>
            <ion-label position="floating">Edad</ion-label>
            <ion-input  [(ngModel)]="age"></ion-input>
        </ion-item>
        <ion-item>
            <ion-label position="floating">Estatura (cm)</ion-label>
            <ion-input  [(ngModel)]="heigth"></ion-input>
        </ion-item>
        <ion-item>
            <ion-label position="floating">Peso (kg)</ion-label>
            <ion-input  [(ngModel)]="weigth"></ion-input>
        </ion-item>
        <ion-item>
            <ion-label position="floating">Medicamentos</ion-label>
            <ion-input  [(ngModel)]="meds"></ion-input>
        </ion-item>
        <ion-item>
            <ion-label position="floating">Alergias</ion-label>
            <ion-input  [(ngModel)]="alergy"></ion-input>
        </ion-item>
        <ion-item>
            <ion-label position="floating">Donador de organos</ion-label>
            <ion-select [(ngModel)]="donate" interface="action-sheet">
              <ion-select-option value="Sí">Sí</ion-select-option>
              <ion-select-option  value="No">No</ion-select-option>
            </ion-select>
        </ion-item>
        <ion-item>
            <ion-label position="floating">Tipo de sangre</ion-label>
            <ion-select [(ngModel)]="blood"  interface="action-sheet">
              <ion-select-option value="A+">A+</ion-select-option>
              <ion-select-option  value="A-">A-</ion-select-option>
              <ion-select-option value="B+">B+</ion-select-option>
              <ion-select-option  value="B-">B-</ion-select-option>
              <ion-select-option value="AB+">AB+</ion-select-option>
              <ion-select-option  value="AB-">AB-</ion-select-option>
              <ion-select-option value="O+">O+</ion-select-option>
              <ion-select-option  value="O-">O-</ion-select-option>
            </ion-select>
        </ion-item>

        <ion-button size="small" color="success" (click)="guardar()">REGISTRAR</ion-button>
        </div>

        <div *ngIf="registrado==true" class="ion-padding">
            <p><font size="3"><b>Reinicie la app despues de haberse registrado por primera vez</b></font></p>
        <ion-card *ngFor= "let s  of infoUsuario">
            <ion-card-header>
                <ion-card-title>{{s.name}} {{s.surname}}</ion-card-title>
              </ion-card-header>
            
              <ion-card-content>
                <p> Edad: {{s.age }}</p>
                <p> Peso: {{s.weigth }}</p>
                <p> Medicamentos: {{s.meds }} </p> 
                <p> Alergias: {{s.alergy }}</p>
                <p> Donador de organos: {{s.donate }} </p> 
                <p> Tipo de sangre: {{s.blood }}</p>
              </ion-card-content>
              <ion-button color="danger" (click)="editar()">ELIMINAR DATOS</ion-button>
        </ion-card>
    </div>
</ion-content>
